快讯 必看 热点 智慧 焦点 观看 推荐 趣味 百态 即时 精选 要闻 追踪 新事 最新 社会 荐闻 一周 视野 综合 滚动 围观 点击 数据 新知 分享 深度 真相

即时

震惊!互联网一半邮件服务器可被远程代码执行攻击

来源:http://www.hgfx0088.com编辑:漫展网_互联网资讯_科技资讯 人气: 发布时间:2019-06-18
摘要:E安全11月29日讯 邮件传输代理服务器软件提供商Exim上周在网站上发布安全预警指出,Exim存在两个漏洞影响Exim两个最新版本:Exim 4.88和4.89。 Exim是一个邮件传输代理(MTA)服务器软件,负责邮件的路由、转发和投递。根据2017年3月一份调查报告显示,56%的

  E安全11月29日讯 邮件传输代理服务器软件提供商Exim上周在网站上发布安全预警指出,Exim存在两个漏洞影响Exim两个最新版本:Exim 4.88和4.89。

  Exim是一个邮件传输代理(MTA)服务器软件,负责邮件的路由、转发和投递。根据2017年3月一份调查报告显示,56%的互联网电子邮件服务器运行Exim软件,当时网上有超过56万台可用的Exim服务器。而最近一次通过Shodan搜索发现,这一数据已超过440万台。

  这两个漏洞中最危险的是远程代码执行(RCE)漏洞,CVE-2017-16943,可以在受影响的服务器上远程执行代码,影响了Exim的Chunking功能:以多个“组块”分类并发送电子邮件。Exim服务器通过特殊命令分类、32位系统支持多大内存处理并重构组块。影响了过半的互联网电子邮件服务器,目前尚无补丁可用。

  台湾安全研究人员@mehqq发现,这个漏洞是由于Exim错误处理BDAT命令,允许黑客攻击Exim安装包并在底层服务器上执行恶意代码。他发布了PoC代码并表示,这是由于Exim团队未提供私下报告漏洞的电子邮箱。

  另一个则为拒绝服务(DoS)漏洞,CVE-2017-16944为,会导致无限循环使Exim服务器崩溃。同样,此漏洞也是通过Chunking 功能和BDAT被利用。

  安全专家表示,网上有超过40万台Exim服务器启用了“Chunking”功能。

  Exim开发团队成员在安全预警公告中表示,存在临时补丁,但目前尚未得到证实。他建议系统管理员执行以下操作:若运行Exim 4.88或较新的版本,可进入Exim配置设置:

  该值为空,这样可以禁止ESMTP CHUNKING扩展程序,使BDAT不可用,从而避免攻击者利用该逻辑。

  目前尚不清楚是否会推出永久解决方案,但Exim将会在接下来数天或数周内发布新版本Exim 4.90。

版权与免责声明:

凡未注明"稿件来源"的内容均为转载稿,本网转载出于传递更多信息的目的;如转载稿涉及版权问题,请作者联系我们,同时对于用户评论等信息,本网并不意味着赞同其观点或证实其内容的真实性;


本文地址 http://www.hgfx0088.com/a/jishi/20190618/50264.html

转载本站原创文章请注明来源:漫展网_互联网资讯_科技资讯